Disable User
Disable a user in a specific Vault or disable a user in all Vaults in the domain.
Permissions
Section link for PermissionsSystem Admins and Vault Owners can update users in the Vaults where they have administrative access. System Admins who are also Domain Admins have an unrestricted access to users across all Vaults in the domain.
/api/{version}/objects/users/{user_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{user_id} | The user id field value. See Retrieve All Users above. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
domain | When true, this disables the user account in all Vaults in the domain. |
Request: Disable User in a Vault
Section link for Request: Disable User in a VaultThis request will set the user (ID: 25001) profile to inactive in the Vault in which the request is made. The user will still be a member in the Vault and retain their license type and security profile, but their user profile will be inactive and they will no longer have access to the Vault.
Request: Disable User in All Domain Vaults
Section link for Request: Disable User in All Domain VaultsThis request will set the user (ID: 25001) profile to inactive in all Vaults in your domain. The user will still be a member in the Vaults and retain their license types and security profiles, but their user profile will be inactive and they will no longer have access to any Vaults in your domain.
Request : Disable User in a Vault
Section link for Request : Disable User in a Vaultcurl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v19.3/objects/users/25001Request : Disable User in All Domain Vaults
Section link for Request : Disable User in All Domain Vaultscurl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v19.3/objects/users/25001?domain=trueResponse
Section link for Response{
"responseStatus": "SUCCESS",
"id": 25001
}